Summary: Configuration files for diald -- Redhat style.
Name: diald-config
Version: 1.2.1
Release: 1
Vendor: The Meme Factory, Inc.  http://www.meme.com
Copyright: Under GPL by The Meme Factory, Inc.
Requires: m4, grep, util-linux, diald >= 0.16-3, ppp >= 2.2.0g-2, setup >= 1.7, sh-utils, sed, findutils, initscripts >= 2.73
Group: Networking/Daemons
Source0: ftp://ftp.meme.com/pub/software/diald-config/diald-config-1.2.1.tar.gz
BuildRoot: /var/tmp/diald-config-1.2.1

%description
An easy way to have a connection to the internet automatically be
there when you need it.

A high level diald configuration system which allows diald to be
configured by editing files containing environment variable
assignments.  Configures diald so that the X window based diald
control program, dctrl, can be used to control and monitor diald.

The diald-config-unmetered and diald-config-metered are companion
packages which contain sample configurations that can be used "out of
the box" to configure diald for management of ppp0.

This package does not currently contain a RedHat control panel X
windows based utility to configure diald, although the control file is
structured to be compatible with such a utility.  Please write one
and add it to this package.

%changelog

* Tue Sep 18 1997  Karl O. Pinc <kop@meme.com>
Version 1.1
Added --buildroot support to spec.

%changelog

* Wed Jan 07 1998  Karl O. Pinc <kop@meme.com>
Version 1.1-2
Added BuildRoot to spec to support --buildroot.

%changelog

* Thu Jan 08 1998  Karl O. Pinc <kop@meme.com>
Version 1.2-1
Added %attr(root,root) to all files.

%prep
%setup

%build

%install
export RPM_BUILD_ROOT
mkdir -p "${RPM_BUILD_ROOT}"
./install

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files
%attr(-,root,root) %dir /etc/diald
%attr(-,root,root) /etc/sysconfig/network-scripts/diald-up
%attr(-,root,root) /etc/sysconfig/network-scripts/diald-down
%attr(-,root,root) /etc/sysconfig/network-scripts/diald-connect
%attr(-,root,root) /etc/rc.d/init.d/diald
%attr(-,root,root) /usr/local/bin/start-dctrl
%attr(-,root,root) /usr/local/lib/diald

%attr(-,root,root) %config /etc/diald.conf
%attr(-,root,root) %config(noreplace) /etc/rc.d/rc0.d/K55diald
%attr(-,root,root) %config(noreplace) /etc/rc.d/rc3.d/S90diald
%attr(-,root,root) %config(noreplace) /etc/rc.d/rc5.d/S90diald
%attr(-,root,root) %config(noreplace) /etc/rc.d/rc6.d/K55diald

%attr(-,root,root) %doc doc/COPYING doc/README doc/DESIGN_NOTES doc/CHANGES doc/TODO doc/ACKNOWLEDGMENTS doc/dialdcfg-metered doc/dialdcfg-unmetered doc/dialdcfg-ppp0 doc/MAIL doc/BUGS
